mochitest-plain: random "test_bug466586.html | undefined"

VERIFIED FIXED in mozilla12

Status

()

Core
ImageLib
VERIFIED FIXED
8 years ago
5 years ago

People

(Reporter: sgautherie, Assigned: Joe Drew (not getting mail))

Tracking

({intermittent-failure})

Trunk
mozilla12
x86
Windows Server 2003
intermittent-failure
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [fixed in 3.6a1: A to C; 12a1: Dv1a] [test was disabled in the meantime] , URL)

Attachments

(2 attachments)

(Reporter)

Description

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1240875637.1240881088.1852.gz
WINNT 5.2 mozilla-central unit test on 2009/04/27 16:40:37

*** 74506 INFO TEST-PASS | /tests/modules/libpr0n/test/mochitest/test_bug399925.html | got different rendered results
*** 74508 INFO Running /tests/modules/libpr0n/test/mochitest/test_bug466586.html...
*** 74509 ERROR TEST-UNEXPECTED-FAIL | /tests/modules/libpr0n/test/mochitest/test_bug466586.html | undefined
*** 74511 INFO Running /tests/modules/libpr0n/test/mochitest/test_bug468160.html...
(Reporter)

Updated

8 years ago
Whiteboard: [orange]
Assignee: nobody → joe
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1240981621.1240989828.24346.gz
WINNT 5.2 mozilla-central unit test on 2009/04/28 22:07:01

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1241003221.1241008296.19439.gz
WINNT 5.2 mozilla-central unit test on 2009/04/29 04:07:01
This is acting crazy since the tree reopened:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1241032303.1241039912.11373.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1241039503.1241046729.20051.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1241047762.1241054681.30109.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1241056320.1241061644.6238.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1241063520.1241069450.14826.gz

Comment 3

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1241180887.1241186567.14524.gz
WINNT 5.2 mozilla-central unit test on 2009/05/01 05:28:07
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1241455303.1241463963.12818.gz
WINNT 5.2 mozilla-central unit test on 2009/05/04 09:41:43
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1241504362.1241509277.9313.gz
WINNT 5.2 mozilla-central unit test on 2009/05/04 22:05:35
(Assignee)

Comment 6

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1241499935.1241509041.8931.gz
WINNT 5.2 mozilla-central unit test on 2009/05/04 22:05:35
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1241600279.1241608318.12465.gz
WINNT 5.2 mozilla-central unit test on 2009/05/06 01:57:59

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1241622170.1241630405.24505.gz
WINNT 5.2 mozilla-central unit test on 2009/05/06 08:02:50
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1241614679.1241623545.11790.gz
WINNT 5.2 mozilla-central unit test on 2009/05/06 05:57:59

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1241620685.1241625574.15171.gz
WINNT 5.2 mozilla-central unit test on 2009/05/06 07:38:05

This has failed in 5 out of the last 7 cycles on this box..
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1241636328.1241646124.19209.gz
WINNT 5.2 mozilla-central unit test on 2009/05/06 11:58:48
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1241640909.1241647021.20622.gz
WINNT 5.2 mozilla-central unit test on 2009/05/06 13:15:09
(Assignee)

Comment 11

8 years ago
Created attachment 376127 [details] [diff] [review]
Only evict unused cache entries on memory-pressure
[Checked in: Comment 16]

The only reason I currently see for this to randomly fail is if we're getting the memory-pressure signal after loading big.png. (This actually makes a whole lot of sense, because big.png is 3000x3000.)

On memory pressure we shouldn't remove entries from the cache that are currently being used, since that won't actually free any memory: something other than the cache has a reference to the imgRequest.

This patch makes memory pressure only remove entries in the cache's "removal queue," further fixing bug 466586 (albeit in an uncommon circumstance).
Attachment #376127 - Flags: review?(vladimir)
If this fixes it, can we put this on a wall somewhere under the category "flaky tests that turned out to be exposing platform bugs"? :)
(Also: good catch!)

Comment 13

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1241670041.1241674730.26157.gz
WINNT 5.2 mozilla-central unit test on 2009/05/06 21:20:41

Comment 14

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1241670342.1241676977.28862.gz
WINNT 5.2 mozilla-central unit test on 2009/05/06 21:25:42

Comment 15

8 years ago
05/07/2009 TraceMonkey:
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1241704469.1241715605.27642.gz&fulltext=1#err1
Attachment #376127 - Flags: review?(vladimir) → review+
(Assignee)

Comment 16

8 years ago
I checked this patch in, but it didn't fix anything. :(

http://hg.mozilla.org/mozilla-central/rev/f6a70bfd05c6

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1241738034.1241744684.8357.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1241743463.1241751851.18653.gz

Comment 17

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1241790538.1241797917.27937.gz
WINNT 5.2 mozilla-central unit test on 2009/05/08 06:48:58
(Assignee)

Comment 18

8 years ago
I've disabled the ok() call in the test, because it's just too faily at the moment. This bug will remain open until I can work out why it's failing.

http://hg.mozilla.org/mozilla-central/rev/930e980cae1c
(Reporter)

Updated

8 years ago
Whiteboard: [orange] → [test disabled] [orange]
(Reporter)

Comment 19

8 years ago
(In reply to comment #18)
> I've disabled the ok() call in the test

Need to replace it with something else, for bug 483407.

{
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1242092605.1242096280.17513.gz&fulltext=1
OS X 10.5.2 mozilla-central unit test on 2009/05/11 18:43:25

*** 74788 INFO Running /tests/modules/libpr0n/test/mochitest/test_bug466586.html...
*** 74789 INFO TEST-KNOWN-FAIL | /tests/modules/libpr0n/test/mochitest/test_bug466586.html | [SimpleTest.report()] No checks actually run.
}
Blocks: 483407
(Assignee)

Comment 20

8 years ago
Done - http://hg.mozilla.org/mozilla-central/rev/d68c8315b785
(Reporter)

Updated

8 years ago
No longer blocks: 483407
Depends on: 483407
(In reply to Joe Drew (:JOEDREW!) from comment #18)
> I've disabled the ok() call in the test, because it's just too faily at the
> moment. This bug will remain open until I can work out why it's failing.
> 

Still disabled in image/test/mochitest/test_bug466586.html. Still want this open Joe?
(Reporter)

Updated

5 years ago
Attachment #376127 - Attachment description: Only evict unused cache entries on memory-pressure → Only evict unused cache entries on memory-pressure [Checked in: Comment 16]
(Reporter)

Comment 22

5 years ago
Created attachment 590412 [details] [diff] [review]
(Dv1) Improve and reenable test_bug466586.html
[Checked in: See comment 24]

Let's try and see whether this bug still happens.

If it does, we should work around it on Windows only.
Attachment #590412 - Flags: review?(joe)
(Assignee)

Comment 23

5 years ago
Comment on attachment 590412 [details] [diff] [review]
(Dv1) Improve and reenable test_bug466586.html
[Checked in: See comment 24]

Review of attachment 590412 [details] [diff] [review]:
-----------------------------------------------------------------

::: image/test/mochitest/test_bug466586.html
@@ +13,4 @@
>  <a target="_blank" href="https://bugzilla.mozilla.org/show_bug.cgi?id=89419">Mozilla Bug 466586</a>
>  <p id="display"></p>
>  <div id="content" style="display: none">
> +  <img id="big" src="big.png" style="width: 100px; height: 100px"/>

Remove the style (width and height) here. This breaks the test if the content div is displayed.
Attachment #590412 - Flags: review?(joe) → review+
(Reporter)

Comment 24

5 years ago
Comment on attachment 590412 [details] [diff] [review]
(Dv1) Improve and reenable test_bug466586.html
[Checked in: See comment 24]

https://hg.mozilla.org/mozilla-central/rev/c1fd381a7faa
Dv1, with comment 23 suggestion(s).


(In reply to Joe Drew (:JOEDREW!) from comment #23)
> Remove the style (width and height) here. This breaks the test if the
> content div is displayed.

Right, .width would return 100 in that case.
Attachment #590412 - Attachment description: (Dv1) Improve and reenable test_bug466586.html → (Dv1) Improve and reenable test_bug466586.html [Checked in: See comment 24]
(Reporter)

Updated

5 years ago
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Flags: in-testsuite+
Resolution: --- → FIXED
Whiteboard: [test disabled] [orange] → [fixed in 3.6a1: A to C; 12a1: Dv1a] [test was disabled in the meantime] [orange]
Target Milestone: --- → mozilla12
(Reporter)

Comment 25

5 years ago
https://tbpl.mozilla.org/php/getParsedLog.php?id=8780435&tree=Firefox&full=1
Rev3 WINNT 6.1 mozilla-central opt test mochitests-4/5 on 2012-01-23 23:10:53 PST for push 3be494e4cc8f
{
169 INFO TEST-START | /tests/image/test/mochitest/test_bug466586.html
170 INFO TEST-PASS | /tests/image/test/mochitest/test_bug466586.html | HTML 'big' image width after page onload() - 3000 should equal 3000
171 INFO TEST-PASS | /tests/image/test/mochitest/test_bug466586.html | JS 'big' image width before its onload() - 3000 should equal 3000
172 INFO TEST-PASS | /tests/image/test/mochitest/test_bug466586.html | JS 'big' image width after its onload() - 3000 should equal 3000
173 INFO TEST-END | /tests/image/test/mochitest/test_bug466586.html | finished in 328ms
}

V.Fixed
Status: RESOLVED → VERIFIED
Keywords: intermittent-failure
Whiteboard: [fixed in 3.6a1: A to C; 12a1: Dv1a] [test was disabled in the meantime] [orange] → [fixed in 3.6a1: A to C; 12a1: Dv1a] [test was disabled in the meantime]
You need to log in before you can comment on or make changes to this bug.